> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extat.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Show a chart of accounts by id.



## OpenAPI

````yaml /openapi/extat-openapi.json get /companies/coa/{id}
openapi: 3.0.0
info:
  contact:
    email: contato@cernedigital.io
    name: Cerne Digital
    url: https://cernedigital.io
  description: >-
    API REST da Extat Plataforma usada pelo painel web. Artefato OpenAPI 3.0
    para a documentação Mintlify (tags em PT-BR).
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Extat Plataforma - API REST
  version: '1.0'
servers:
  - url: https://golang-api-vgnqx.ondigitalocean.app/v1
security: []
tags:
  - name: Autenticação
  - name: Bancos
  - name: Contas Bancárias
  - name: Plano e Assinaturas
  - name: Empresa
  - name: Centros de Custo
  - name: Painel
  - name: Demonstrativos
  - name: Saúde
  - name: Convites
  - name: Membros
  - name: Onboarding
  - name: Fornecedores
  - name: Usuário
paths:
  /companies/coa/{id}:
    get:
      tags:
        - Empresa
      summary: Show a chart of accounts by id.
      parameters:
        - description: company uuid
          in: header
          name: x-company-id
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/coa.SaveChartOfAccountRequestDTO'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/coa.ChartOfAccountResponseDTO'
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponseDTO'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponseDTO'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponseDTO'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  requestBodies:
    coa.SaveChartOfAccountRequestDTO:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/coa.SaveChartOfAccountRequestDTO'
      description: account data
      required: true
  schemas:
    coa.ChartOfAccountResponseDTO:
      properties:
        active:
          type: boolean
        children:
          items:
            $ref: '#/components/schemas/coa.ChartOfAccountResponseDTO'
          type: array
        code:
          type: string
        description:
          type: string
        id:
          type: integer
        is_default:
          type: boolean
        is_title:
          type: boolean
        label:
          type: string
        parent_id:
          type: integer
        type:
          type: string
      type: object
    handler.ErrorResponseDTO:
      properties:
        error:
          type: string
        message:
          type: string
      type: object
    coa.SaveChartOfAccountRequestDTO:
      properties:
        active:
          type: boolean
        description:
          type: string
        label:
          type: string
        parent_id:
          type: integer
        type:
          type: string
      required:
        - label
        - type
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo
        esquema ApiKeyAuth do contrato).
      in: header
      name: Authorization
      type: apiKey

````